<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::AnnData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('structmelon_1_1_ann_data.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmelon_1_1_ann_data-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::AnnData Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>struct containing all information regarding the structure of a feedforward neural network  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_ann_properties_8h_source.html">AnnProperties.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::AnnData:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structmelon_1_1_ann_data.png" usemap="#melon::AnnData_map" alt=""/>
  <map id="melon::AnnData_map" name="melon::AnnData_map">
<area href="struct_model_data.html" title="Abstract class from which specific model data object can be derived and enabling polymorphism." alt="ModelData" shape="rect" coords="0,0,100,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4853bc5a22fda4f8e831cc31a1b5a45e" id="r_a4853bc5a22fda4f8e831cc31a1b5a45e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4853bc5a22fda4f8e831cc31a1b5a45e">structure</a></td></tr>
<tr class="separator:a4853bc5a22fda4f8e831cc31a1b5a45e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abac66b3fe2754c2e89c45ec199e3d18b" id="r_abac66b3fe2754c2e89c45ec199e3d18b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abac66b3fe2754c2e89c45ec199e3d18b">weights</a></td></tr>
<tr class="separator:abac66b3fe2754c2e89c45ec199e3d18b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62a1f36d606e7de154323abdf16c3743" id="r_a62a1f36d606e7de154323abdf16c3743"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a62a1f36d606e7de154323abdf16c3743">inputScalerData</a></td></tr>
<tr class="separator:a62a1f36d606e7de154323abdf16c3743"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7771dffb6c28714792c03d9d662240a8" id="r_a7771dffb6c28714792c03d9d662240a8"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7771dffb6c28714792c03d9d662240a8">outputScalerData</a></td></tr>
<tr class="separator:a7771dffb6c28714792c03d9d662240a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_struct_model_data"><td colspan="2" onclick="javascript:dynsection.toggleInherit('pub_methods_struct_model_data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="struct_model_data.html">ModelData</a></td></tr>
<tr class="memitem:a0e3c9ed044c4eba6c713ee181cd64bc0 inherit pub_methods_struct_model_data" id="r_a0e3c9ed044c4eba6c713ee181cd64bc0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_model_data.html#a0e3c9ed044c4eba6c713ee181cd64bc0">ModelData</a> ()=default</td></tr>
<tr class="separator:a0e3c9ed044c4eba6c713ee181cd64bc0 inherit pub_methods_struct_model_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a187635f6ad5b6c948d0040c2134e5573 inherit pub_methods_struct_model_data" id="r_a187635f6ad5b6c948d0040c2134e5573"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_model_data.html#a187635f6ad5b6c948d0040c2134e5573">~ModelData</a> ()=default</td></tr>
<tr class="separator:a187635f6ad5b6c948d0040c2134e5573 inherit pub_methods_struct_model_data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>struct containing all information regarding the structure of a feedforward neural network </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a62a1f36d606e7de154323abdf16c3743" name="a62a1f36d606e7de154323abdf16c3743"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62a1f36d606e7de154323abdf16c3743">&#9670;&#160;</a></span>inputScalerData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a>&gt; melon::AnnData::inputScalerData</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Object containing the data for the input scaling </p>

</div>
</div>
<a id="a7771dffb6c28714792c03d9d662240a8" name="a7771dffb6c28714792c03d9d662240a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7771dffb6c28714792c03d9d662240a8">&#9670;&#160;</a></span>outputScalerData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="structmelon_1_1_scaler_data.html">ScalerData</a>&gt; melon::AnnData::outputScalerData</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Object containing the data for the output scaling </p>

</div>
</div>
<a id="a4853bc5a22fda4f8e831cc31a1b5a45e" name="a4853bc5a22fda4f8e831cc31a1b5a45e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4853bc5a22fda4f8e831cc31a1b5a45e">&#9670;&#160;</a></span>structure</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmelon_1_1_ann_structure.html">AnnStructure</a> melon::AnnData::structure</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>struct containing the information about the networks structure (e.g. numbeer of layers, connections,...) </p>

</div>
</div>
<a id="abac66b3fe2754c2e89c45ec199e3d18b" name="abac66b3fe2754c2e89c45ec199e3d18b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abac66b3fe2754c2e89c45ec199e3d18b">&#9670;&#160;</a></span>weights</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structmelon_1_1_ann_weights.html">AnnWeights</a> melon::AnnData::weights</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>struct containing the networks weights (layers-, bias- and inputweights) <br  />
 </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/inc/<a class="el" href="_ann_properties_8h_source.html">AnnProperties.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="structmelon_1_1_ann_data.html">AnnData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
